export const defaultVersion = '3.3';

// 暴露给使用者的props
export const props = {
  // 默认标题，可以使用title插槽覆盖
  title: {
    type: String,
    default: ''
  },
  // size: String,
  // 指定模板版本
  version: {
    type: String,
    default: defaultVersion
  },
  // 传入tableClass。会通过事件tableHeight抛出指定类名的元素应有的高度 = default slot的高度 - default slot中所有非指定类名的元素高度
  // 一个default slot中不能出现两个该类型的直接子元素
  tableClass: {
    type: Array,
    default: () => ['el-table']
  }
};

// 模板通用props
export const templateProps = {
  ...props,
  // 是否开启模糊特效
  isFuzzy: {
    type: Boolean,
    default: false
  },
  // 背景图片
  bgUrl: String,
  // 顶部预留空间（留给菜单）
  offsetTop: {
    type: String,
    default: '40px'
  }
};
